read.hills {metadynminer} | R Documentation

## Read HILLS from Plumed

### Description

'read.hills' reads a HILLS file generated by Plumed and returns a hillsfile object. User can specify whether some collective variables are periodic.

### Usage

    read.hills(file = "HILLS", per = c(FALSE, FALSE), pcv1 = c(-pi, pi),
      pcv2 = c(-pi, pi), ignoretime = FALSE)

### Arguments

`file` | HILLS file from Plumed.
`per` | logical vector specifying periodicity of collective variables.
`pcv1` | periodicity of CV1.
`pcv2` | periodicity of CV2.
`ignoretime` | time in the first column of the HILLS file will be ignored.

### Value

hillsfile object.

### Examples

    l1<-"1 -1.409  2.808 0.3 0.3 1.111 10"
    l2<-"2 -2.505  2.791 0.3 0.3 1.111 10"
    l3<-"3 -2.346  2.754 0.3 0.3 1.069 10"
    l4<-"4 -1.198  2.872 0.3 0.3 1.074 10"
    fourhills<-c(l1,l2,l3,l4)
    tf <- tempfile()
    writeLines(fourhills, tf)
    read.hills(tf, per=c(TRUE,TRUE))

[Package metadynminer version 0.1.6 Index]